a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QWSWindow Class Reference

Server-specific functionality in Qt/Embedded More...

`#include <qwindowsystem_qws.h>`

List of all member functions.

## Public Members

- QWSWindow ( int i, QWSClient * client ) (internal)
- ~QWSWindow () (internal)
- int winId () const
- const QString& name () const
- const QString& caption () const
- QWSClient* client () const
- QRegion requested () const
- QRegion allocation () const
- bool isVisible () const
- bool isPartiallyObscured () const
- bool isFullyObscured () const
- void raise ()
- void lower ()
- void show ()
- void hide ()
- void setActiveWindow ()

## Detailed Description

Server-specific functionality in Qt/Embedded

When you run a Qt/Embedded application, it either runs as a server or connects to an existing server. If it runs as a server, some additional operations are provided via the QWSServer class.

This class maintains information about each window and allows operations to be performed on the windows.

## Member Function Documentation

### QRegion QWSWindow::allocation () const

Returns the region that the window is allowed to draw into including any window decorations and excluding regions covered by other windows.

See also requested().

### const QString & QWSWindow::caption () const

Returns this windows caption.

### QWSClient* QWSWindow::client () const

Returns the QWSClient that owns this window.

### void QWSWindow::hide ()

Hides the window.

### bool QWSWindow::isFullyObscured () const

Returns TRUE is the window is completely obsured by another window or the bounds of the screen.

### bool QWSWindow::isPartiallyObscured () const

Returns TRUE is the window is partially obsured by another window or the bounds of the screen.

### bool QWSWindow::isVisible () const

Returns TRUE if the window is visible.

### void QWSWindow::lower ()

Lowers the window below other windows.

### const QString & QWSWindow::name () const

Returns the name of this window.

### void QWSWindow::raise ()

Raises the window above all other windows except "Stay on top" windows.

### QRegion QWSWindow::requested () const

Returns the region that the window has requested to draw into including any window decorations.

See also allocation().

### void QWSWindow::setActiveWindow ()

Make this the active window (i.e. sets keyboard focus).

### void QWSWindow::show ()

Shows the window.

### int QWSWindow::winId () const

Returns the Id of this window.

### QWSWindow::QWSWindow ( int i, QWSClient * client )

For internal use only.

### QWSWindow::~QWSWindow ()

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.